Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# SinglePSDPercept Class Reference

A spot relative to the robot that was detected by the PSD Sensor. More...

`#include <PSDPercept.h>`

Inheritance diagram for SinglePSDPercept:

[legend]
Collaboration diagram for SinglePSDPercept:

[legend]
List of all members.

## Public Member Functions
void | setFrameNumber (unsigned long frameNumber)
| The functions sets the frame number.
| SinglePSDPercept ()
| Constructor.
| ~SinglePSDPercept ()
| Destructor.
## Public Attributes
unsigned long | frameNumber
| The frame number when perceived.
bool | tooFarAway
| If true, then the object was farer away than 90 cm The measured distance is then clipped to 90 cm.
double | neckTilt
| The tilt of the robot's head.
bool | isValid
| The PSDPercept is only valid if motion was stable.
double | body
| value of the body psd sensor (if present)

## Detailed Description

A spot relative to the robot that was detected by the PSD Sensor.

Author:
  Martin Lötzsch

Definition at line 25 of file PSDPercept.h.

## Constructor & Destructor Documentation

SinglePSDPercept::SinglePSDPercept | ( |  | ) |

| Constructor. Definition at line 20 of file PSDPercept.cpp.

SinglePSDPercept::~SinglePSDPercept | ( |  | ) |

| Destructor. Definition at line 28 of file PSDPercept.cpp.

## Member Function Documentation

void SinglePSDPercept::setFrameNumber | ( | unsigned long | frameNumber | ) | `[inline]`

| The functions sets the frame number. Definition at line 35 of file PSDPercept.h. Referenced by GT2005SensorDataProcessor::buildPSDPercept().

## Member Data Documentation

unsigned long SinglePSDPercept::frameNumber

| The frame number when perceived. Definition at line 30 of file PSDPercept.h.

bool SinglePSDPercept::tooFarAway

| If true, then the object was farer away than 90 cm The measured distance is then clipped to 90 cm. Definition at line 41 of file PSDPercept.h. Referenced by GT2005SensorDataProcessor::buildPSDPercept().

double SinglePSDPercept::neckTilt

| The tilt of the robot's head. Necessary because sometimes you don't want to trust the PSD if things are measured below a certain PSD angle Definition at line 48 of file PSDPercept.h. Referenced by GT2005SensorDataProcessor::buildPSDPercept().

bool SinglePSDPercept::isValid

| The PSDPercept is only valid if motion was stable. Definition at line 51 of file PSDPercept.h. Referenced by GT2005SensorDataProcessor::buildPSDPercept().

double SinglePSDPercept::body

| value of the body psd sensor (if present) Definition at line 56 of file PSDPercept.h. Referenced by GT2005SensorDataProcessor::buildPSDPercept().

The documentation for this class was generated from the following files:

- Representations/Perception/PSDPercept.h
- Representations/Perception/PSDPercept.cpp